import { Icon } from '@equinor/eds-core-react';
import { arrow_up, arrow_down } from '@equinor/eds-icons';
import { jsx } from 'react/jsx-runtime';

const SortIndicator = ({
  column
}) => {
  return {
    asc: /*#__PURE__*/jsx(Icon, {
      data: arrow_up
    }),
    desc: /*#__PURE__*/jsx(Icon, {
      data: arrow_down
    })
  }[column.getIsSorted()] ?? null;
};

export { SortIndicator };
